#! /usr/bin/rpm
%define  sovers		1
%define _unpackaged_files_terminate_build  0

#_____________________________________________________________________
# 
# Normal setup, and main package
#
Version: 	31.01
Release: 	1
Name:    	smixx%{sovers}
Summary: 	Framework distributed control systems - tools
Group:   	Applications/Communications
License: 	GPL
Source0: 	http://cern.ch/smi/smixx-%{version}.tar.gz
Prefix: 	%{_prefix}
Url:    	http://cern.ch/smi
BuildRoot: 	%{_tmppath}/smixx-%{version}
BuildRequires: 	dim-devel
BuildRequires:  XFree86-devel
Requires: 	dim
Conflicts:	libsmixx1 < 13.0 

%description
SMI++ is a framework for designing and implementing distributed
control systems. SMI++ is based on the original State Manager concept
which was developed by the DELPHI experiment in collaboration with
the DD/OC group of CERN. 

In this concept, a real-world system is described in terms of objects
behaving as Finite State Machines. SMI++ objects can run in a variety
of platforms all communications being handled transparently by an
underlying communication system - DIM.

This package provides run-time libraries.

Web-page: http://cern.ch/smi

%files 
%defattr(-,root,root)
/usr/lib/lib*.so.%{sovers}*

%pre 
ldconfig

%post
ldconfig


#_____________________________________________________________________
#
# Library package 
%package -n smixx-bin
Summary: Framework distributed control systems - libraries
Group:   Development/Libraries
%description -n  smixx-bin
SMI++ is a framework for designing and implementing distributed
control systems. SMI++ is based on the original State Manager concept
which was developed by the DELPHI experiment in collaboration with
the DD/OC group of CERN. 

In this concept, a real-world system is described in terms of objects
behaving as Finite State Machines. SMI++ objects can run in a variety
of platforms all communications being handled transparently by an
underlying communication system - DIM.

This package provides run-time tools.

Web-page: http://cern.ch/smi

%files -n smixx-bin
%defattr(-,root,root)
/usr/bin/smiSM
/usr/bin/smiGUI
/usr/bin/smiListDomain
/usr/bin/smiDomainExists
/usr/bin/smiProxyExists
/usr/bin/smiGetVersions
/usr/bin/smiGetDomains
/usr/share/man/man1/smiSM.1*
/usr/share/man/man1/smiGUI.1*
/usr/share/man/man1/smiListDomain.1*
/usr/share/man/man1/smiDomainExists.1*
/usr/share/man/man1/smiProxyExists.1*
/usr/share/man/man1/smiGetVersions.1*
/usr/share/man/man1/smiGetDomains.1*

#_____________________________________________________________________
#
# Development package 
#
%package -n smixx-devel
Summary:  Framework distributed control systems - libraries
Group:    Development/Libraries
Requires: smixx%{sovers}
Conflicts:	libsmixx-dev < 13.0 
Conflicts:	libsmixx-devel < 13.0 
%description -n smixx-devel
SMI++ is a framework for designing and implementing distributed
control systems. SMI++ is based on the original State Manager concept
which was developed by the DELPHI experiment in collaboration with
the DD/OC group of CERN. 

In this concept, a real-world system is described in terms of objects
behaving as Finite State Machines. SMI++ objects can run in a variety
of platforms all communications being handled transparently by an
underlying communication system - DIM.

This package provides development tools and libraries.

Web-page: http://cern.ch/smi

%files -n smixx-devel
%defattr(-,root,root)
/usr/bin/smiGen
/usr/bin/smiTrans
/usr/bin/smiPreproc
/usr/bin/smimake
/usr/share/man/man1/smiGen.1*
/usr/share/man/man1/smiTrans.1*
/usr/share/man/man1/smiPreproc.1*
/usr/share/man/man1/smimake.1*
/usr/include/smixx/
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/lib/lib*.la
/usr/bin/smixx-config
/usr/share/aclocal/smixx.m4
/usr/share/man/man1/smixx-config.1*

#_____________________________________________________________________
#
# Build, install, and so on. 
#
%prep 
%setup -n smixx-31.01

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
rm -rf $RPM_BUILD_ROOT

#_____________________________________________________________________
# 
# Changelog
#
%changelog
* Wed Aug 23 2005 Christian Holm <cholm@nbi.dk> 1.2
 - Spec file generated by configure


#_____________________________________________________________________
#
# EOF
#
